Package de.willuhn.jameica.hbci.rmi

# Interface Terminable

All Known Subinterfaces:
  `AuslandsUeberweisung`, `BaseUeberweisung`, `Lastschrift`, `SammelLastschrift`, `SammelTransfer`, `SammelUeberweisung`, `SepaLastschrift`, `SepaSammelLastschrift`, `SepaSammelTransfer<T>`, `SepaSammelUeberweisung`, `Ueberweisung`

All Known Implementing Classes:
  `AbstractBaseUeberweisungImpl`, `AbstractSammelTransferImpl`, `AbstractSepaSammelTransferImpl`, `AuslandsUeberweisungImpl`, `LastschriftImpl`, `SammelLastschriftImpl`, `SammelUeberweisungImpl`, `SepaLastschriftImpl`, `SepaSammelLastschriftImpl`, `SepaSammelUeberweisungImpl`, `UeberweisungImpl`

public interface Terminable
Interface fuer clientseitig terminierte Transfers. Das sind alle Geld-Transfers, die im Hibiscus-eigenen Terminkalender verwaltet werden.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`ausgefuehrt()`
Prueft, ob das Objekt ausgefuehrt wurde.
`Date`
`getAusfuehrungsdatum()`
Liefert das Datum, zu dem der Auftrag ausgefuehrt wurde.
`Date`
`getTermin()`
Liefert den Termin der Ueberweisung.
`void`
`setAusgefuehrt(boolean b)`
Markiert das Objekt als ausgefuehrt/nicht ausgefuehrt und speichert die Aenderung unmittelbar.
`void`
`setTermin(Date termin)`
Speichert den Termin, an dem die Ueberweisung ausgefuehrt werden soll.
`boolean`
`ueberfaellig()`
Prueft, ob die Ueberweisung ueberfaellig ist.

## Method Details

### getTermin

Date getTermin() throws RemoteException
Liefert den Termin der Ueberweisung.

Returns:
  Termin der Ueberweisung.
Throws:
  `RemoteException`

### setTermin

void setTermin(Date termin) throws RemoteException
Speichert den Termin, an dem die Ueberweisung ausgefuehrt werden soll.

Parameters:
  `termin` - Termin der Ueberweisung.
Throws:
  `RemoteException`

### ueberfaellig

boolean ueberfaellig() throws RemoteException
Prueft, ob die Ueberweisung ueberfaellig ist.

Returns:
  true, wenn sie ueberfaellig ist.
Throws:
  `RemoteException`

### ausgefuehrt

boolean ausgefuehrt() throws RemoteException
Prueft, ob das Objekt ausgefuehrt wurde.

Returns:
  true, wenn das Objekt bereits ausgefuehrt wurde.
Throws:
  `RemoteException`

### getAusfuehrungsdatum

Date getAusfuehrungsdatum() throws RemoteException
Liefert das Datum, zu dem der Auftrag ausgefuehrt wurde.

Returns:
  das Datum zu dem der Auftrag ausgefuehrt wurde.
Throws:
  `RemoteException`

### setAusgefuehrt

void setAusgefuehrt(boolean b) throws RemoteException, de.willuhn.util.ApplicationException
Markiert das Objekt als ausgefuehrt/nicht ausgefuehrt und speichert die Aenderung unmittelbar.

Parameters:
  `b` - ausgefuehrt-Status.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`